Subject: Re: [net-next,v2,05/14] net: bridge: mcast: track active state, foreign IGMP/MLD querier disappearance

From: Linus Lüssing <[email-masked]>
Date: Wed, 11 Feb 2026 04:05:34 +0100

Hi Jakub,

Thanks for checking.

On Fri, Feb 06, 2026 at 08:56:05PM -0800, Jakub Kicinski wrote:
> This is an AI-generated review of your patch. The human sending this
> email has considered the AI review valid, or at least plausible.
> [...]
> This isn't a bug, but I noticed a couple of unaddressed review comments
> from Ido Schimmel's feedback on v1 back in May 2025 that don't appear to
> have been incorporated into this v2 series.

I have the feeling this bot got confused somehow, maybe it does
not fully get how things got restructured in
br_multicast_querier_exists(), __br_multicast_querier_exists()
and the newly added br_multicast_snooping_active()?

> 
> In __br_multicast_querier_exists() in net/bridge/br_private.h around line
> 1164, the 'is_ipv6' bool parameter is marked const. Since this is a
> pass-by-value parameter, the const qualifier doesn't provide any benefit.
> Should it be removed?
> 
> Reference: https://lore.kernel.org/all/aDNPxdmDPYwasUEM@shredder/

I'm not adding or moving any "const bool is_ipv6" anymore. Au
contraire, I'm explicitly removing the "const" in is_ipv6 to
__br_multicast_querier_exists() while restructuring
things in [PATCH v2 13/14] now?

> 
> Also in br_multicast_querier_exists() in net/bridge/br_private.h around
> line 1182, the function takes a struct ethhdr *eth parameter but only uses
> eth->h_proto. Would it make more sense to either make the 'eth' parameter
> const, or just pass the EtherType (__be16) directly instead of the entire
> struct pointer?
> 
> Reference: https://lore.kernel.org/all/aDNPxdmDPYwasUEM@shredder/
> 

I think I also followed this one, too? In [PATCH v2 13/14] I'm
removing passing a "struct ethhdr *eth" and am instead passing an
"int proto" to br_multicast_querier_exists() and an
"__be16 eth_proto" to br_multicast_snooping_active()?

(I'm also unsure why this reply was to this patch and not
[PATCH v2 13/14] ->
https://patchwork.kernel.org/project/netdevbpf/patch/[email-masked]/)